Get a monitoring prompt
curl --request GET \
--url https://app.chatobserver.com/api/v2/prompts/{id} \
--header 'x-chatobserver-key: <api-key>'const options = {method: 'GET', headers: {'x-chatobserver-key': '<api-key>'}};
fetch('https://app.chatobserver.com/api/v2/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.chatobserver.com/api/v2/prompts/{id}"
headers = {"x-chatobserver-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"promptText": "<string>",
"status": "active",
"resultSyncStatus": "<string>",
"tagIds": [
"<string>"
],
"personaIds": [
"<string>"
],
"personaCount": 123,
"targetPlatforms": [
"<string>"
],
"targetRegions": [
"<string>"
],
"schedule": {
"frequency": "<string>",
"timezone": "<string>",
"hour": 123,
"minute": 123,
"intervalMinutes": 123,
"daysOfWeek": [
123
]
},
"nextRunAt": "<string>",
"lastRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Prompts
Get a monitoring prompt
Create, schedule, organise, activate and retrieve tracked prompts.
GET
/
api
/
v2
/
prompts
/
{id}
Get a monitoring prompt
curl --request GET \
--url https://app.chatobserver.com/api/v2/prompts/{id} \
--header 'x-chatobserver-key: <api-key>'const options = {method: 'GET', headers: {'x-chatobserver-key': '<api-key>'}};
fetch('https://app.chatobserver.com/api/v2/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.chatobserver.com/api/v2/prompts/{id}"
headers = {"x-chatobserver-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"promptText": "<string>",
"status": "active",
"resultSyncStatus": "<string>",
"tagIds": [
"<string>"
],
"personaIds": [
"<string>"
],
"personaCount": 123,
"targetPlatforms": [
"<string>"
],
"targetRegions": [
"<string>"
],
"schedule": {
"frequency": "<string>",
"timezone": "<string>",
"hour": 123,
"minute": 123,
"intervalMinutes": 123,
"daysOfWeek": [
123
]
},
"nextRunAt": "<string>",
"lastRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Required scopes:
read.Authorizations
WorkspaceKeyBearerKey
A workspace API key. Data endpoints require a service-account key with the specified scopes.
Path Parameters
Resource identifier returned by the API.
Response
Successful response.
Show child attributes
Show child attributes